> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bedrock.cv/llms.txt
> Use this file to discover all available pages before exploring further.

# Get drawing

> Retrieve details for a specific drawing.

Returns the full details for a drawing, including sheet count and download URL.


## OpenAPI

````yaml GET /drawings/{drawing_id}
openapi: 3.1.0
info:
  title: Bedrock API
  version: 1.0.0
  description: >-
    REST API for construction document management and computer vision
    intelligence.
  contact:
    name: Bedrock Support
    url: https://bedrock.cv
    email: support@bedrock.cv
servers:
  - url: https://api.bedrock.cv
security:
  - BearerAuth: []
  - ApiKeyAuth: []
paths:
  /drawings/{drawing_id}:
    get:
      tags:
        - CMS
      summary: Get drawing
      description: Retrieve drawing details.
      operationId: getDrawing
      parameters:
        - $ref: '#/components/parameters/ApiVersionHeader'
        - name: drawing_id
          in: path
          required: true
          schema:
            type: string
          description: Drawing ID
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/DrawingSummary'
              example:
                data:
                  id: drw_01JABCD123
                  project_id: prj_01JABCD123
                  filename: A101-floor-plans.pdf
                  name: A101 Floor Plans
                  uri: >-
                    gs://bedrock-files/projects/prj_01JABCD123/drawings/A101-floor-plans.pdf
                  created_at: '2024-06-16T14:00:00Z'
                  updated_at: '2024-06-16T14:00:00Z'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '429':
          $ref: '#/components/responses/RateLimited'
components:
  parameters:
    ApiVersionHeader:
      name: X-API-Version
      in: header
      required: false
      schema:
        type: string
        default: '2026-01-01'
      description: API version
  schemas:
    DrawingSummary:
      type: object
      properties:
        id:
          type: string
        project_id:
          type: string
        filename:
          type: string
        name:
          type: string
          nullable: true
        uri:
          type: string
        hash:
          type: string
          nullable: true
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
      required:
        - id
        - project_id
        - filename
        - name
        - uri
        - hash
        - created_at
        - updated_at
      example:
        id: drw_01JABCD123
        project_id: prj_01JABCD123
        filename: A101-floor-plans.pdf
        name: A101 Floor Plans
        uri: >-
          gs://bedrock-files/projects/prj_01JABCD123/drawings/A101-floor-plans.pdf
        created_at: '2024-06-16T14:00:00Z'
        updated_at: '2024-06-16T14:00:00Z'
    ApiError:
      type: object
      properties:
        type:
          type: string
        title:
          type: string
        status:
          type: integer
        detail:
          type: string
        code:
          type: string
        request_id:
          type: string
        instance:
          type: string
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
      required:
        - type
        - title
        - status
        - detail
      example:
        type: https://docs.bedrock.cv/errors/bad-request
        title: Bad Request
        status: 400
        detail: One or more request fields are invalid.
        instance: /projects
  responses:
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
          example:
            type: https://docs.bedrock.cv/errors/authentication
            title: Unauthorized
            status: 401
            detail: Invalid or missing API key.
            code: UNAUTHORIZED
            request_id: req_01JABCD123
    RateLimited:
      description: Rate limited
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
          example:
            type: https://docs.bedrock.cv/errors/rate-limit
            title: Rate limited
            status: 429
            detail: Rate limit exceeded. Try again in 60 seconds.
            code: RATE_LIMITED
            request_id: req_01JABCD123
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: 'API key prefixed with `sk_`. Example: `Authorization: Bearer sk_xxx`'
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````